﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using AplProblems;

namespace AplTests
{
  public partial class _Default : System.Web.UI.Page
  {
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void StartTests_Click(object sender, EventArgs e)
    {
      PerformTests();
    }
    protected void PerformTests()
    {
      //  Create a dataset to play with.
      DataSet TestDS = CreateDataSet();

      //  Create a string array to play with.
      String[,] TestStringArray = CreateStringArray();

      //  Test the Dataset in APL.
      Object[,] MyObject = AplProblems.AplCode.WantToReturn2DObject(TestDS);


    }

    protected DataSet CreateDataSet()
    {
      //  Declare and initialize variables.
      DataSet ds = new DataSet();
      DataTable dt = new DataTable();
      DataRow dr;

      // Create data columns for the data table.
      DataColumn idCol = new DataColumn("ID", Type.GetType("System.Int32"));
      DataColumn idCol2 = new DataColumn("ID2", Type.GetType("System.Int32"));
      DataColumn nameCol = new DataColumn("Name", Type.GetType("System.String"));
      dt.Columns.Add(idCol);
      dt.Columns.Add(idCol2);
      dt.Columns.Add(nameCol);

      //  Loop to add some data to the data table.
      for (Int32 I = 1; I <= 5; I++)
      {
        dr = dt.NewRow();
        dr["ID"] = I;
        dr["ID2"] = 100 * I;
        dr["Name"] = "Name " + I.ToString();
        dt.Rows.Add(dr);
      }

      //  Add the data table to the data set.
      ds.Tables.Add(dt);

      //  Return the dataset.
      return ds;
    }

     protected String[,] CreateStringArray()
     {
       //  Declare and initialize variables.
       String[,] Result = new String[10, 3];
       Int16 RowPointer = 0;

       //  Loop to store values.
       for (int i = 0; i < 5; i++)
       {
       	for (int j = 0; j < 2; j++)
        {
          //  Store the data.
        	Result[RowPointer,0] = "Row " + (i+1).ToString();
          Result[RowPointer, 1] = "Column " + (j+1).ToString();
          Result[RowPointer, 2] = "Data " + (RowPointer+1).ToString();

          //  Update the row pointer for the next time through this loop.
          RowPointer++;
        }
       }

       //  Return the sample string array.
       return Result;
     }
  }
}
